#
# spec file for package nagios-plugins (Version 1.4.9)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-utils binutils bzip2 cifs-mount coreutils cpio cpp cpp42 cracklib cvs cyrus-sasl cyrus-sasl-devel dhcp dhcp-devel diffutils file filesystem fillup findutils fping freeradius-client-devel freeradius-client-libs freetype2 gawk gcc gcc42 gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv iputils keyutils-devel keyutils-libs krb5 krb5-devel less libacl libart_lgpl libattr libbz2-1 libbz2-devel libcom_err-devel libcom_err2 libdb-4_5 libgcc42 libgomp42 libiniparser libltdl-3 libmudflap42 libmysqlclient-devel libmysqlclient15 libmysqlclient_r15 libnscd libopenct1 libopensc2 libopenssl-devel libopenssl0_9_8 libpng libreadline5 libsmbclient libsmbclient-devel libsnmp15 libstdc++42 libtool libusb libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers logrotate m4 make man mktemp module-init-tools nagios ncurses net-snmp net-snmp-devel net-tools netcfg openldap2 openldap2-client openldap2-devel opensc openslp openssh openssl-certs pam pam-modules patch pcsc-lite perl perl-Crypt-DES perl-Digest-HMAC perl-Digest-SHA1 perl-Net-SNMP perl-TermReadKey perl-base permissions popt popt-devel postfix postgresql-devel postgresql-libs procps python python-devel rpm rpm-devel rrdtool samba-client sed sensors snmp-mibs sqlite sysfsutils syslog-ng sysvinit tar tcpd tcpd-devel texinfo timezone udev util-linux zlib zlib-devel

Name:           nagios-plugins
BuildRequires:  bind-utils dhcp-devel fping iputils libsmbclient libsmbclient-devel mysql-devel nagios net-snmp-devel openldap2 openldap2-devel openssh perl-Net-SNMP postfix postgresql-devel procps python-devel samba-client
%if 0%{?suse_version}
%if 0%{?suse_version} > 1020
BuildRequires:  freeradius-client-devel
%endif
%if 0%{?suse_version} < 1010
BuildRequires:  heimdal-devel
%else
BuildRequires:  krb5-devel syslog-ng
%endif
%else
BuildRequires:  krb5-devel
%endif
Summary:        The Nagios Plug-Ins
Version:        1.4.9
Release:        19.3
Url:            http://nagiosplug.sourceforge.net/
License:        GPL v2 or later
Group:          System/Monitoring
AutoReqProv:    on
Source0:        nagios-plugins-%{version}.tar.bz2
Patch1:         nagios-plugins-1.4.5-check_procs.c.patch
Patch2:         nagios-plugins-1.4.5-check_fping.c.patch
Patch3:         nagios-plugins-1.4.5-check_mysql.c.patch
Patch4:         nagios-plugins-1.4.5-check_mysql_query.c.patch
Patch6:         nagios-plugins-1.4.6-no_chown.patch
Patch7:         nagios-plugins-1.4.6-freeradius.patch
Patch8:         nagios-plugins.ctypes.patch
Patch9:         nagios-plugins.check_dhcp-char.patch
Patch10:        nagios-plugins.asprintf.patch
Patch11:        nagios-plugins.check_http.redir.patch
Patch12:        nagios-plugins.check_snmp.overflow.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       perl-Net-SNMP
%define	libexecdir %{_prefix}/lib/nagios/plugins

%description
These plug-ins are needed for Nagios checks.



Authors:
--------
    Karl DeBisschop <kdebisschop@users.sourceforge.net>
    and others

%debug_package
%package  extras
Summary:        Nagios Plug-Ins which Depend on Additional Packages
Group:          System/Monitoring
Requires:       nagios-plugins net-snmp fping

%description extras
These are additional plug-ins for Nagios. They depend on other packages
which have to be installed.



Authors:
--------
    Karl DeBisschop <kdebisschop@users.sourceforge.net>
    and others

%prep
%setup -q
%patch1
%patch2
%patch3
%patch4
%patch6
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
#patch7

%build
autoconf
CFLAGS="$RPM_OPT_FLAGS -DLDAP_DEPRECATED" \
CXXFLAGS="$RPM_OPT_FLAGS -DLDAP_DEPRECATED" \
./configure \
	--prefix=%{_prefix} \
	--libexecdir=%{libexecdir} \
	--with-cgiurl=/nagios/cgi-bin \
	--with-fping-command=/usr/sbin/fping \
	--with-mysql
make all

%install
make DESTDIR=${RPM_BUILD_ROOT} install
install -d $RPM_BUILD_ROOT/etc/nagios

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir /etc/nagios
%doc ACKNOWLEDGEMENTS AUTHORS BUGS COPYING ChangeLog NEWS README FAQ SUPPORT
%doc REQUIREMENTS THANKS LEGAL
%dir /usr/lib/nagios
%dir %{libexecdir}
%{libexecdir}/check_breeze
%{libexecdir}/check_by_ssh
%{libexecdir}/check_clamd
%{libexecdir}/check_cluster
%attr(0755,root,root) %{libexecdir}/check_dhcp
%{libexecdir}/check_dig
%{libexecdir}/check_disk
%{libexecdir}/check_disk_smb
%{libexecdir}/check_dns
%{libexecdir}/check_dummy
%{libexecdir}/check_file_age
%{libexecdir}/check_flexlm
%{libexecdir}/check_ftp
%{libexecdir}/check_http
%attr(0755,root,root) %{libexecdir}/check_icmp
%{libexecdir}/check_ifoperstatus
%{libexecdir}/check_ifstatus
%{libexecdir}/check_imap
%{libexecdir}/check_ircd
%{libexecdir}/check_load
%{libexecdir}/check_log
%{libexecdir}/check_mailq
%{libexecdir}/check_mrtg
%{libexecdir}/check_mrtgtraf
%{libexecdir}/check_nagios
%{libexecdir}/check_nntp
%{libexecdir}/check_nt
%{libexecdir}/check_ntp
%{libexecdir}/check_nwstat
%{libexecdir}/check_oracle
%{libexecdir}/check_overcr
%{libexecdir}/check_ping
%{libexecdir}/check_pop
%{libexecdir}/check_procs
%{libexecdir}/check_real
%{libexecdir}/check_rpc
%{libexecdir}/check_sensors
%{libexecdir}/check_smtp
%{libexecdir}/check_ssh
%{libexecdir}/check_swap
%{libexecdir}/check_tcp
%{libexecdir}/check_time
%{libexecdir}/check_udp
%{libexecdir}/check_ups
%{libexecdir}/check_users
%{libexecdir}/check_wave
%{libexecdir}/negate
%{libexecdir}/urlize
%{libexecdir}/utils.pm
%{libexecdir}/utils.sh
/usr/share/locale/*/LC_MESSAGES/*

%files extras
%defattr(-,root,root)
%attr(0755,root,root) %{libexecdir}/check_fping
%{libexecdir}/check_hpjd
%{libexecdir}/check_ldap
%{libexecdir}/check_ldaps
%{libexecdir}/check_mysql
%{libexecdir}/check_mysql_query
%{libexecdir}/check_pgsql
#%{libexecdir}/check_radius
%{libexecdir}/check_snmp
%{libexecdir}/check_jabber
%{libexecdir}/check_nntps
%{libexecdir}/check_simap
%{libexecdir}/check_spop
%{libexecdir}/check_ssmtp
%{libexecdir}/check_apt
%changelog
* Fri Oct 26 2007 - olh@suse.de
- fix possible buffer overflow in check_snmp with snmpget replies (336002)
* Tue Oct 23 2007 - olh@suse.de
- fix check_http Location: check (331728)
  use server IP address instead of hostname
* Mon Oct 08 2007 - olh@suse.de
- fix check_http buffer overflow vulnerability when following HTTP
  redirects (331728)
* Wed Aug 15 2007 - olh@suse.de
- require freeradius-client-devel only in openSuSE > 10.2
* Wed Aug 15 2007 - olh@suse.de
- fix a few compile warnings
- update to version 1.4.9
  * Inclusion of contrib/check_cluster2 as check_cluster with some improvements
  * New/improved -E/--skip-stderr and -S/--skip-stdout options for check_by_ssh
  * check_snmp now supports Counter64
  * Fix compilation of check_ldap, check_radius and check_pgsql
  * check_load can optionally divide by number of cpus
  * Fix check_time returning wrong OK when time is before the epoch on some arch
  * Make check_http output more consistent
  * Fix possible check_http segfaults when following HTTP redirects
  * check_snmp don't warn anymore if something is printed on stderr
  * Fix check_tcp segfault when multiple expect strings are given
  * New option for check_tcp: -A/--all to test if all given expect strings match
  * Respects --without-world-permissions for setuid plugins
  * check_disk extra options for regex matching of filesystems and grouping of filesystems
  for collective thresholds
  * Better configure test for mysqlclient availability
  * Various check_ntp fixes
  * check_procs uses /usr/ucb/ps if available - fixes pst3 problems on Solaris
  * Fixed MKINSTALLDIRS problem in po/
  * ./configure now detects if possible to compile check_mysql
  * Fixed broken HELO in check_smtp
  * check_icmp now allows to set a minimum number of hosts required for successs (-m)
  * check_icmp fix for *BSD when running for long time
  * check_ping times out 1 second quicker if host is unreachable
  * Root plugins installed with world executable
  * check_sybase from contrib now maintained in NagiosExchange
  * --with-nagios-user/group reinstated ./configure option
  * New --without-world-permissions ./configure option
* Fri Mar 30 2007 - ro@suse.de
- added procps,bind-utils to buildreq
* Thu Mar 15 2007 - ro@suse.de
- disable radius plugin for now, needs porting to freeradius-client
* Thu Mar 15 2007 - ro@suse.de
- make it build as non-root
- check_dhcp and check_ are still not installed suid, but they
  were not suid before this change
* Mon Mar 12 2007 - tsieden@suse.de
- update to version 1.4.6
  * Reduced number of DNS lookups in check_ping and netutils.c for
  IPv6 configurations
  * Fixed compile problems with *BSD re: alloca.h
  * Fixed Solaris problems with check_swap (tested on Solaris 9)
  * Fixed check_swap for HP/UX where swapinfo command was incorrect
  * Fixed check_disk inode threshold checks, regressed at r1.4.4.
  * Fixed crit/warn for check_disk perf data
  * Fixed buffer overflow in check_procs
  * Fixed error handling for UNIX sockets in netutils.c
  * New -q and -o options for check_by_ssh which are handed over to ssh(1) as is
  * Synced with latest GNUlib
  * Fixed check_jabber always returns warning
- removed ntp from BuildRequires
- adapted from BuildService:
  * added more distribution-specific BuildRequires from mge@suse.de
* Wed Jan 10 2007 - olh@suse.de
- remove outdated and unused command.cfg
* Fri Nov 17 2006 - tsieden@suse.de
- fix build
  * typos in check_http.c, check_icmp.c and check_ldap.c
  * added missing include to check_procs.c
  * fix more gcc warnings in check_fping.c, check_mysql.c and
  check_mysql_query.c
* Thu Nov 16 2006 - tsieden@suse.de
- update to version 1.4.5
  * check_udp2 removed. check_udp is now linked to check_tcp.c
  * new check_apt plugin
  * new C based check_ntp. the perl version is now
  deprecated.
  * major bug fixes to check_disk where values were incorrectly
  calculated and alerted on.
  * check_mailq now errors if the sub-program run returns
  non-zero return code. this would appear as if mailqs were
  okay when the nagios user could not query the mail-queues
  * compile problems with check_snmp fixed
* Wed Jun 21 2006 - stark@suse.de
- update to version 1.4.3
  * check_mysql_query added to run arbitrary SQL commands,
  with threshold checking
  * new check_clamd
* Fri Jun 16 2006 - schwab@suse.de
- Fix syntax error in configure script.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Dec 19 2005 - ro@suse.de
- added previously unpackaged symlinks to extras package
* Tue Oct 25 2005 - rhafer@suse.de
- added LDAP_DEPRECATED to CFLAGS to build correctly with
  OpenLDAP 2.3
* Tue Sep 20 2005 - stark@suse.de
- update to version 1.4.2
* Tue Aug 02 2005 - stark@suse.de
- update to version 1.4.1
* Tue May 17 2005 - stark@suse.de
- fixed overwriting a buffer
* Tue May 17 2005 - stark@suse.de
- fixed ps syntax (bug 75699)
* Fri Feb 04 2005 - stark@suse.de
- update to version 1.4
* Wed May 26 2004 - ro@suse.de
- add some return values to non-void functions
* Thu Dec 18 2003 - stark@suse.de
- adopted to new ping output format (iputils-ss021109) (#33710)
* Mon Nov 10 2003 - ro@suse.de
- use net-snmp instead of ucdsnmp
* Fri Jul 18 2003 - stark@suse.de
- update to 1.3.1
* Thu Jun 19 2003 - stark@suse.de
- added missing directories to filelist
* Tue May 27 2003 - stark@suse.de
- update to 1.3.0
  * added check_nt
* Mon Dec 02 2002 - stark@suse.de
- update to 1.3.0beta2
  * included SNMPv3 patch
* Thu Nov 21 2002 - ro@suse.de
- work around autoconf problem
* Wed Oct 09 2002 - stark@suse.de
- added nagios to neededforbuild (Bug #20557)
* Sun Oct 06 2002 - stark@suse.de
- moved Requires: perl-Net-SNMP from extras to "normal" package
  (Bug #20559)
- removed Requires: nagios because it is also possible
  to use it with nagios-nrpe
* Thu Aug 01 2002 - ro@suse.de
- use openldap2 as neededforbuild
* Tue Jul 09 2002 - stark@suse.de
- added patch to be able to connect via SNMPv3 (check_snmp)
* Mon Jul 01 2002 - ro@suse.de
- find mysql on lib64
* Wed Jun 19 2002 - stark@suse.de
- switched to nagiosplug 1.3beta1
  (is stated as beta but should be usable in almost all cases)
* Fri Jun 14 2002 - stepan@suse.de
- add mysql-client to neededforbuild
* Mon Apr 29 2002 - stark@suse.de
- changed Requires to nagios
* Tue Jan 15 2002 - stark@suse.de
- fixed check_ping to fit new ping output (#12769)
* Wed Nov 07 2001 - stark@suse.de
- use AM_INIT_AUTOMAKE
* Mon Aug 27 2001 - ro@suse.de
- fix for current ping output (round-trip is called rtt now)
- bzip source
* Mon Jul 30 2001 - stark@suse.de
- added openssl to #neededforbuild
* Fri Jul 27 2001 - kukuk@suse.de
- change postgresql-lib -> postgresql-libs
* Mon Jul 16 2001 - stark@suse.de
- added mysql-shared to #neededforbuild
* Tue Jul 10 2001 - stark@suse.de
- package splitted (netsaint-plugins-extras for dependent functions
- added check_fping
* Mon Jul 09 2001 - stark@suse.de
- fixed #ifdef in check_mrtg.c, check_nwstat.c, check_by_ssh.c
* Mon Jun 18 2001 - stark@suse.de
- removed openldap-client from neededforbuild
* Mon May 14 2001 - stark@suse.de
- update to release 1.2.9-4
* Thu Apr 19 2001 - stark@suse.de
- initial package 1.2.9-3
